Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.state
Class SimplePropertyMap

    java.lang.Object
      org.jboss.portal.common.util.AbstractTypedMap<EK,EV,IK,IV>
          org.jboss.portal.common.util.TypedMap<java.lang.String,java.util.List<java.lang.String>,IK,IV>
              org.jboss.portal.portlet.state.AbstractPropertyMap<java.lang.String,java.util.List<java.lang.String>>
                  org.jboss.portal.portlet.state.SimplePropertyMap

All Implemented Interfaces:
  java.util.Map<java.lang.String,java.util.List<java.lang.String>>, PropertyMap

    public class SimplePropertyMap

extends AbstractPropertyMap<java.lang.String,java.util.List<java.lang.String>>

Version:
  $Revision: 6643 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.common.util.AbstractTypedMap
`org.jboss.portal.common.util.AbstractTypedMap.Converter<E,I>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`SimplePropertyMap()`
`SimplePropertyMap(int size)`
`SimplePropertyMap(java.util.Map<java.lang.String,java.util.List<java.lang.String>> map)`
`SimplePropertyMap(PropertyMap that)`

Method Summary

Methods inherited from class org.jboss.portal.portlet.state.AbstractPropertyMap
`getProperty, setProperty`

Methods inherited from class org.jboss.portal.common.util.TypedMap
`getDelegate, getKeyConverter, getValueConverter`

Methods inherited from class org.jboss.portal.common.util.AbstractTypedMap
`clear, containsKey, containsValue, convert, entrySet, equals, get, isEmpty, keySet, put, putAll, remove, replace, size, toString, validate, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### SimplePropertyMap

    public SimplePropertyMap()

### SimplePropertyMap

    public SimplePropertyMap(int size)

### SimplePropertyMap

    public SimplePropertyMap(PropertyMap that)

### SimplePropertyMap

    public SimplePropertyMap(java.util.Map<java.lang.String,java.util.List<java.lang.String>> map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.